imagesetbrush
imagesetpixel
GD and Image Functions
PHP Manual

# imagesetinterpolation

Set the interpolation method

### Description

bool imagesetinterpolation ( resource `$image` [, int `$method` = IMG_BILINEAR_FIXED ] )

Sets the interpolation method, setting an interpolation method affects the rendering of various functions in GD, such as the imagerotate function.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`method`

  The interpolation method, which can be one of the following:

  - `IMG_BELL`: Bell filter.
  - `IMG_BESSEL`: Bessel filter.
  - `IMG_BICUBIC`: Bicubic interpolation.
  - `IMG_BICUBIC_FIXED`: Fixed point implementation of the bicubic interpolation.
  - `IMG_BILINEAR_FIXED`: Fixed point implementation of the bilinear interpolation (default (also on image creation)).
  - `IMG_BLACKMAN`: Blackman window function.
  - `IMG_BOX`: Box blur filter.
  - `IMG_BSPLINE`: Spline interpolation.
  - `IMG_CATMULLROM`: Cubbic Hermite spline interpolation.
  - `IMG_GAUSSIAN`: Gaussian function.
  - `IMG_GENERALIZED_CUBIC`: Generalized cubic spline fractal interpolation.
  - `IMG_HERMITE`: Hermite interpolation.
  - `IMG_HAMMING`: Hamming filter.
  - `IMG_HANNING`: Hanning filter.
  - `IMG_MITCHELL`: Mitchell filter.
  - `IMG_POWER`: Power interpolation.
  - `IMG_QUADRATIC`: Inverse quadratic interpolation.
  - `IMG_SINC`: Sinc function.
  - `IMG_NEAREST_NEIGHBOUR`: Nearest neighbour interpolation.
  - `IMG_WEIGHTED4`: Weighting filter.
  - `IMG_TRIANGLE`: Triangle interpolation.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagesetinterpolation example

`<?php
// Load an image
$im = imagecreate(500, 500);
// By default interpolation is IMG_BICUBIC_FIXED, switch
// to use the 'Mitchell' filter:
imagesetinterpolation($im, IMG_MITCHELL);
// Continue to work with $im ...
?>`

### Notes

Changing the interpolation method affects the following functions when rendering:

- imageaffine
- imagerotate
- imagescale